summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/named
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/named')
-rwxr-xr-xetc/rc.d/named8
1 files changed, 8 insertions, 0 deletions
diff --git a/etc/rc.d/named b/etc/rc.d/named
index 9746f9d..0163cb0 100755
--- a/etc/rc.d/named
+++ b/etc/rc.d/named
@@ -14,6 +14,7 @@ name="named"
rcvar=`set_rcvar`
start_precmd="named_precmd"
start_postcmd="make_symlinks"
+stop_postcmd="named_poststop"
required_dirs="$named_chrootdir" # if it is set, it must exist
extra_commands="reload"
@@ -81,6 +82,13 @@ make_symlinks()
ln -fs "${named_chrootdir}${pidfile}" ${pidfile}
}
+named_poststop()
+{
+ if [ -n "${named_chrootdir}" -a -c ${named_chrootdir}/dev/null ]; then
+ umount ${named_chrootdir}/dev 2>/dev/null || true
+ fi
+}
+
named_precmd()
{
local confgen_chroot
OpenPOWER on IntegriCloud